Last Comment Bug 691950 - Set up directories for W3C CSSWG test suite sync to/from mozilla-central
: Set up directories for W3C CSSWG test suite sync to/from mozilla-central
Status: RESOLVED FIXED
revised README file provided for review
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: x86 Linux
: P2 normal (vote)
: mozilla16
Assigned To: fantasai
:
Mentors:
https://wiki.mozilla.org/Auto-tools/P...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 15:39 PDT by fantasai
Modified: 2012-08-21 06:27 PDT (History)
10 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
W3C Test Suite Contribution License Grant (1.70 KB, text/plain)
2011-10-04 15:39 PDT, fantasai
no flags Details
LICENSE file (1.44 KB, text/plain)
2011-10-04 18:24 PDT, fantasai
no flags Details
README file (2.74 KB, text/plain)
2011-10-04 18:26 PDT, fantasai
no flags Details
Rigo's response to Gerv's concern about "or" (1.49 KB, text/plain)
2011-10-05 09:16 PDT, fantasai
no flags Details
README file (916 bytes, text/plain)
2011-11-16 22:00 PST, fantasai
no flags Details
patch (8.17 KB, patch)
2012-04-16 17:00 PDT, fantasai
dbaron: review+
Details | Diff | Splinter Review
patch v2 (10.34 KB, patch)
2012-04-26 14:47 PDT, fantasai
no flags Details | Diff | Splinter Review

Description fantasai 2011-10-04 15:39:26 PDT
Created attachment 564688 [details]
W3C Test Suite Contribution License Grant

I wanted to set up a directory in mozilla-central where we can host tests that
are sync'ed with W3C, specifically for the CSSWG test suites, which are
dual-licensed under the W3C Document License and the BSD 3-clause.

The dual-license that applies to the W3C tests:
  http://www.w3.org/Consortium/Legal/2008/04-testsuite-copyright
The license grant W3C requests of test contributors is attached.

What I'd like to do is to create

other-licenses/
  |-w3c-css/
      |-submitted/      # tests we are submitting to W3C, our copy is master
      |-received/       # tests we are receiving from W3C, their copy is master

with a LICENSE file stating the 3-clause BSD under which these files are licensed and explaining licensing terms for contributions to these directories on mozilla-central.

This bug is to get legal sign-off on the plan.
Comment 1 fantasai 2011-10-04 18:24:47 PDT
Created attachment 564732 [details]
LICENSE file
Comment 2 fantasai 2011-10-04 18:26:03 PDT
Created attachment 564734 [details]
README file
Comment 3 fantasai 2011-10-05 09:16:31 PDT
Created attachment 564876 [details]
Rigo's response to Gerv's concern about "or"
Comment 4 Gervase Markham [:gerv] 2011-10-08 05:15:48 PDT
Reading Rigo's doc, I think the right thing is for us to outbound-license as pure BSD, as he says that's OK with him. 

This all seems fine to me, but we need an official legal sign-off.

Gerv
Comment 5 Liz Compton [:liz] 2011-10-10 12:03:32 PDT
Luis - Can you please take a look at this and let us know if you agree with Gerv or have other thoughts?
Comment 6 Liz Compton [:liz] 2011-10-14 07:27:22 PDT
Since Luis hasn't responded I'm reassigning to Jishnu.
Comment 7 fantasai 2011-11-14 17:14:19 PST
Can I get an ETA on this, so I know whether to set up an interim solution that doesn't require legal signoff?
Comment 8 Jishnu Menon :jishnu 2011-11-16 09:06:14 PST
Hi - I agree with Gerv, the contribution license should be pure BSD and am fine with the inbound license. Could you rewrite the README file to reflect this and re-up for a quick look?
Comment 9 fantasai 2011-11-16 22:00:15 PST
Created attachment 575093 [details]
README file

Alright jmenon, let me know if anything needs further changing.
Comment 10 Liz Compton [:liz] 2011-11-22 14:21:07 PST
Jishnu - looks like this is back in your court.
Comment 11 fantasai 2011-12-15 14:17:43 PST
Can I get an ETA on this, so I know whether to set up an interim solution that doesn't require legal signoff? Thanks~
Comment 12 fantasai 2012-03-26 11:31:08 PDT
Ok, I'm going to assume that legal has no problem with this since they haven't responded. Shifting into Core for implementation.
Comment 13 Justin Dolske [:Dolske] 2012-04-15 17:57:34 PDT
Comment on attachment 564732 [details]
LICENSE file

Going through unassigned reviews. dbaron, can you review or reassign as appropriate?
Comment 14 fantasai 2012-04-16 17:00:03 PDT
Created attachment 615542 [details] [diff] [review]
patch

This patch creates the submitted and received directories in layout/reftests and adds README files to explain each.
Comment 15 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-04-22 16:05:09 PDT
Comment on attachment 615542 [details] [diff] [review]
patch

3 thoughts so far:

  * the LICENSE file might not be clear enough for the "submitted" directory, since for test submissions people need to agree to W3C's license too

 * you need to add your new layout/reftests/w3c-css/submitted/reftest.list to layout/reftests/reftest.list with an include line.

 * your commented out "import" lines should be "include" lines instead
Comment 16 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-04-22 16:09:36 PDT
Comment on attachment 615542 [details] [diff] [review]
patch

>+Do not touch anything here unless you are a layout/ or automation
>+tools owner or peer, or have permission from one and know what you
>+are doing.

I don't think there's any reason to mention ownership rules; you should just say that you shouldn't make any changes here that don't come from the master repository, because if you do they'll be overwritten by the next sync.

r=dbaron with that and the issues in the previous comment fixed
Comment 17 fantasai 2012-04-26 14:47:21 PDT
Created attachment 618810 [details] [diff] [review]
patch v2

Patch with review comments addressed.
Comment 18 Ryan VanderMeulen [:RyanVM] 2012-06-13 18:15:03 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/bc09cddd0a10
Comment 19 Ed Morley [:emorley] 2012-06-14 02:45:41 PDT
https://hg.mozilla.org/mozilla-central/rev/bc09cddd0a10
Comment 20 :Ms2ger (⌚ UTC+1/+2) 2012-08-14 04:55:45 PDT
What are the next steps here?
Comment 21 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-08-14 17:42:53 PDT
I think the next steps here are to start syncing things occasionally and make the process more automated as time progresses.  I did a first sync from submitted/ into the W3C repository yesterday; a first pass at syncing into received/ probably requires a script for just the first pass.
Comment 22 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-08-20 22:42:47 PDT
Some importing:
https://hg.mozilla.org/integration/mozilla-inbound/rev/98df684d7a3a
https://hg.mozilla.org/integration/mozilla-inbound/rev/aa86bacc7e57
Comment 23 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-08-20 23:03:47 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b64118688939 (bustage fix for previous)

Note You need to log in before you can comment on or make changes to this bug.